/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package packFutbol;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

/**
 *
 * @author MCO
 * @version
 */
public class Futbol extends HttpServlet {

    private Connection con;
    private Statement set;
    private ResultSet rs;
    String cad;

    public void init(ServletConfig cfg) throws ServletException {
        String sURL = "jdbc:mysql://localhost/BDJugadores";
        super.init(cfg);
        String userName = "root";
        String password = "";
        try {
            Class.forName("com.mysql.jdbc.Driver").newInstance();
            con = DriverManager.getConnection(sURL, userName, password);
            System.out.println("Se ha conectado");
        } catch (Exception e) {
            System.out.println("No se ha conectado");
        }
    }

    public void doPost(HttpServletRequest req, HttpServletResponse res)
            throws ServletException, IOException {
// Obtener la sesion
        HttpSession s = req.getSession(true);
// Guardar el nombre del cliente en la sesión
// para poderlo utilizar en el siguiente servlet
        String nombreP = (String) req.getParameter("txtNombre");
        s.setAttribute("nombreCliente", nombreP);
        String nombre = (String) req.getParameter("R1");
        if (nombre.equals("Otros")) {
            nombre = (String) req.getParameter("txtOtros");
        }
        boolean existe = false;
        try {
            set = con.createStatement();
            rs = set.executeQuery("SELECT * FROM Jugadores");
            while (rs.next()) {
                cad = rs.getString("Nombre");
                cad = cad.trim();
                if (cad.compareTo(nombre.trim()) == 0) {
                    existe = true;
                }
            }
            rs.close();
            set.close();
        } catch (Exception e) {
            System.out.println("No lee de la tabla");
        }
        try {
            set = con.createStatement();
            if (existe) {
                set.executeUpdate("UPDATE Jugadores SET votos=votos+1 " +
                        "WHERE nombre LIKE '%" + nombre + "%'");
            } else {
                set.executeUpdate("INSERT INTO Jugadores " +
                        "(nombre,votos) VALUES ('" + nombre + "',1)");
            }
            rs.close();
            set.close();
        } catch (Exception e) {
            System.out.println("No inserta ni modifica la tabla");
        }
        registrar(req, res);
// Llamada al servlet que nos visualiza
// las estadísticas de jugadores

    }

    private void registrar(HttpServletRequest req, HttpServletResponse res)
            throws ServletException, IOException {
        //No tiene sentido hacer aquí un getAttribute, 
        //pues el nombreCliente del form ya lo tienes almacenado en nombreP
        //O lo pasas como parámetro en el prototipo de este método registrar o
        //vuelves a llamar al método getParameter.
        /* Estas dos instrucciones sobran:
        HttpSession s=req.getSession(true);
        String nombre=(String) s.getAttribute("nombreCliente");
         */
        String nombreP2 = req.getParameter("txtNombre");
        boolean existe = false;
        try {

            set = con.createStatement();
            rs = set.executeQuery("SELECT * FROM registro");
            while (rs.next()) {
                cad = rs.getString("Nombre");
                cad = cad.trim();
                if (cad.compareTo(nombreP2.trim()) == 0) {
                    existe = true;
                }
            }
            rs.close();
            set.close();
        } catch (Exception e) {
            System.out.println("No lee de la tabla");
        }
        HttpSession s = req.getSession(true);
        try {
            set = con.createStatement();
            if (existe) {
                set.executeUpdate("UPDATE registro SET visitas=visitas+1 " +
                        "WHERE nombre LIKE '%" + nombreP2 + "%'");
                System.out.println("PASA");
                rs = set.executeQuery("SELECT * FROM registro where Nombre LIKE '%" + nombreP2 + "%'");
                //FALTABA POSICIONARSE EN LA PRIMERA TUPLA y ESTA IF
                if (rs.next()) {
                    System.out.println(rs.getString("Nombre") + " " + rs.getInt("Visitas"));
                    s.setAttribute("visitas", rs.getInt("visitas"));
                }
            } else {
                set.executeUpdate("INSERT INTO registro  VALUES ('" + nombreP2 + "','" + req.getParameter("txtMail") + "',1)");
                s.setAttribute("visitas", 1);
            }
            rs.close();
            set.close();
        } catch (Exception e) {
            System.out.println("No inserta ni modifica la tabla registro");
        }
        res.sendRedirect(res.encodeRedirectURL("TablaVotos.jsp"));
    }

    public void doGet(HttpServletRequest req, HttpServletResponse res)
            throws ServletException, IOException {
        try {
            doPost(req, res);
        } catch (Exception e) {
        }
    }

    public void destroy() {
        try {
            con.close();
        } catch (Exception e) {
        }
        super.destroy();
    }
}


